AjaxSuggestionEvent (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.AjaxSuggestionEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AjaxSuggestionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.ajax4jsf.event.AjaxEvent
                  org.richfaces.component.AjaxSuggestionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AjaxSuggestionEvent

extends org.ajax4jsf.event.AjaxEvent

Ajax event for SuggestionBox component.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AjaxSuggestionEvent(javax.faces.component.UIComponent component)` Constructor.
`AjaxSuggestionEvent(javax.faces.component.UIComponent component, java.lang.Object value)` Constructor.

Method Summary
`java.lang.Object` | `getSubmittedValue()` Gets submitted value.
`void` | `setSubmittedValue(java.lang.Object value)` Sets submitted value.

Methods inherited from class org.ajax4jsf.event.AjaxEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxSuggestionEvent

    public AjaxSuggestionEvent(javax.faces.component.UIComponent component,
                               java.lang.Object value)

  Constructor.

  Parameters:
    `component` - `UIComponent`
    `value` - The submitted value to set

### AjaxSuggestionEvent

    public AjaxSuggestionEvent(javax.faces.component.UIComponent component)

  Constructor.

  Parameters:
    `component` - `UIComponent`

Method Detail

### getSubmittedValue

    public final java.lang.Object getSubmittedValue()

  Gets submitted value.

  Returns:
    Returns the submittedValie.

### setSubmittedValue

    public final void setSubmittedValue(java.lang.Object value)

  Sets submitted value.

  Parameters:
    `value` - The submitted value to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.